Bug 227256 - audio/logitechmediaserver doesn't build anymore since perl5 defaults to 5.26
Summary: audio/logitechmediaserver doesn't build anymore since perl5 defaults to 5.26
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-03 13:51 UTC by emss
Modified: 2018-05-07 08:12 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mark)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description emss 2018-04-03 13:51:39 UTC
root@newsrv:/usr/ports/audio/logitechmediaserver # make
===>  License SDL needs confirmation, will ask later
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by logitechmediaserver-7.9.1.g2017.07.11 for building
===>  Extracting for logitechmediaserver-7.9.1.g2017.07.11
=> SHA256 Checksum OK for Logitech-slimserver-7.9.1.g2017.07.11-762b5cb_GH0.tar.gz.
=> SHA256 Checksum OK for Logitech-slimserver-vendor-1463b00_GH0.tar.gz.
===>  Patching for logitechmediaserver-7.9.1.g2017.07.11
===>  Applying extra patch /usr/ports/audio/logitechmediaserver/files/vendorpatch-CPAN_buildme.sh
===>  Applying FreeBSD patches for logitechmediaserver-7.9.1.g2017.07.11
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on executable: nasm - found
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on executable: bash - found
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on executable: rsync - found
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on executable: gmake - found
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on package: perl5>=5.26<5.27 - found
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on shared library: libgd.so - found (/usr/local/lib/libgd.so)
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===>  Configuring for logitechmediaserver-7.9.1.g2017.07.11
===>  Building for logitechmediaserver-7.9.1.g2017.07.11
cd /storage/work/ports/build/usr/ports/audio/logitechmediaserver/work/slimserver-vendor-1463b00/CPAN && ./buildme.sh
RUN_TESTS:1 CLEAN:1 USE_HINTS:1 target all
Building for FreeBSD / amd64-freebsd-thread-multi
Failed to find supported Perl version for '/usr/local/bin/perl'
===>  Staging for logitechmediaserver-7.9.1.g2017.07.11
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on executable: flac - found
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on executable: shorten - found
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on executable: sox - found
===>   logitechmediaserver-7.9.1.g2017.07.11 depends on package: perl5>=5.26<5.27 - found
===>   Generating temporary packing list
===> Creating groups.
===> Creating users
(cd
/storage/work/ports/build/usr/ports/audio/logitechmediaserver/work/slimserver-762b5cb
&& /bin/sh -c '(/usr/bin/find -Ed $1 $3 | /usr/bin/cpio -dumpl $2
>/dev/null 2>&1) && /usr/bin/find -Ed $1 $3 \( -type d -exec /bin/sh -c
'\''cd '\''$2'\'' && chmod 755 "$@"'\'' . {} + -o -type f -exec /bin/sh
-c '\''cd '\''$2'\'' && chmod 0644 "$@"'\'' . {} + \)' COPYTREE_SHARE .
/storage/work/ports/build/usr/ports/audio/logitechmediaserver/work/stage/usr/local/share/logitechmediaserver)
(cd
/storage/work/ports/build/usr/ports/audio/logitechmediaserver/work/slimserver-vendor-1463b00/CPAN/build
&& /bin/sh -c '(/usr/bin/find -Ed $1 $3 | /usr/bin/cpio -dumpl $2
>/dev/null 2>&1) && /usr/bin/find -Ed $1 $3 \( -type d -exec /bin/sh -c
'\''cd '\''$2'\'' && chmod 755 "$@"'\'' . {} + -o -type f -exec /bin/sh
-c '\''cd '\''$2'\'' && chmod 0644 "$@"'\'' . {} + \)' COPYTREE_SHARE
arch
/storage/work/ports/build/usr/ports/audio/logitechmediaserver/work/stage/usr/local/share/logitechmediaserver/CPAN)
cd: /storage/work/ports/build/usr/ports/audio/logitechmediaserver/work/slimserver-vendor-1463b00/CPAN/build: No such file or directory
*** Error code 2

Stop.
make[1]: stopped in /usr/ports/audio/logitechmediaserver
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/logitechmediaserver
root@newsrv:/usr/ports/audio/logitechmediaserver #
Comment 1 Mark Dixon 2018-04-11 08:48:57 UTC
WIP update:

https://github.com/mnd999/freebsd-ports/tree/lms-update
Comment 2 emss 2018-04-11 15:31:12 UTC
Hi Mark,

Compiles and runs fine here.

Regards
Comment 3 Michael Grimm 2018-04-16 15:13:04 UTC
I did upgrade distinfo Makefile pkg-plist files/vendorpatch-CPAN_buildme.sh downloaded from https://github.com/mnd999/freebsd-ports/tree/lms-update/audio/logitechmediaserver (because I do not know how to apply a port otherwise)

But it fails to compile (due License SDL missing?):

root> cat /usr/home/jails/basejail/poudriere/logs/bulk/stable-default/2018-04-16_15h49m15s/logs/logitechmediaserver-7.9.1.g2018.04.11.log

[snip]

=======================<phase: check-sanity   >============================
===>  License SDL accepted by the user
===========================================================================

[snip]

=======================<phase: checksum       >============================
===>  License SDL accepted by the user
===> Fetching all distfiles required by logitechmediaserver-7.9.1.g2018.04.11 for building
=> SHA256 Checksum OK for Logitech-slimserver-7.9.1.g2018.04.11-7b3c28c_GH0.tar.gz.
=> SHA256 Checksum OK for Logitech-slimserver-vendor-54be245_GH0.tar.gz.
===========================================================================

[snip]

=======================<phase: build          >============================
===>  Building for logitechmediaserver-7.9.1.g2018.04.11
cd /wrkdirs/usr/ports/audio/logitechmediaserver/work/slimserver-vendor-54be245/CPAN && ./buildme.sh 
RUN_TESTS:1 CLEAN:1 USE_HINTS:1 target all
LICENSES_ACCEPTED=SDL not found - please install it
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/logitechmediaserver
=>> Cleaning up wrkdir
===>  Cleaning for logitechmediaserver-7.9.1.g2018.04.11
build of audio/logitechmediaserver | logitechmediaserver-7.9.1.g2018.04.11 ended at Mon Apr 16 15:49:52 CEST 2018
build time: 00:00:23
!!! build failure encountered !!!


I do have the following in poudriere's relevant make.conf:

root> cat /usr/local/etc/poudriere.d/stable-make.conf 
# accept SDL license (logitechmediaserver)
LICENSES_ACCEPTED=SDL

What am I missing?

Thanks and regards,
Michael
Comment 4 Mark Dixon 2018-04-16 17:40:54 UTC
Yes, I know about that one, I've raised it upstream.

https://github.com/Logitech/slimserver-vendor/issues/55
Comment 5 Mark Dixon 2018-04-23 19:37:05 UTC
Updated branch with a fix for the LICENSES_ACCEPTED=SDL issue.
Comment 6 Michael Grimm 2018-04-23 20:42:09 UTC
Congratulations, you fixed it. The port compiles, starts, and I am back in listening to my music :-)

Thank you very, very much for all your efforts and with kind regards,
Michael
Comment 7 Mark Dixon 2018-04-23 21:33:39 UTC
Yes, amd64 is good now I think. Just i386 to sort out, although I'm not sure how well that ever worked.
Comment 8 Mark Dixon 2018-04-26 08:24:16 UTC
Patch here https://reviews.freebsd.org/D15206
Comment 9 Mark Dixon 2018-05-04 17:26:34 UTC
No ports committer seems to give a crap about it though so I guess we just have to wait.
Comment 10 commit-hook freebsd_committer 2018-05-07 08:12:04 UTC
A commit references this bug:

Author: rodrigo
Date: Mon May  7 08:11:07 UTC 2018
New revision: 469272
URL: https://svnweb.freebsd.org/changeset/ports/469272

Log:
  Update audio/logitechmediaserver to latest version

   * Support current perl revision
   * Mark broken on 10/i386 (libmediascan does not compile)
   * Add the port into LEGAL, since it contains non-redistributable material
     (mail to portmgr@)

  PR:		227256
  Submitted by:	Mark Dixon <mark@tranquillussoftware.co.uk> (maintainer)
  Reported by:	emss@free.fr

Changes:
  head/LEGAL
  head/audio/logitechmediaserver/Makefile
  head/audio/logitechmediaserver/distinfo
  head/audio/logitechmediaserver/files/vendorpatch-CPAN_buildme.sh
  head/audio/logitechmediaserver/pkg-plist
Comment 11 Rodrigo Osorio freebsd_committer 2018-05-07 08:12:46 UTC
Committed, thanks